"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
const {
  executeLintAnalysis
} = require("../../eslint/runEslint");
class EsLint {
  constructor(_cliArguments) {
    this.cliArguments = _cliArguments;
  }

  /**
   * @function executeAnalysis -  Handle call for Lint execution
   * @returns {Promise<any>} -  return Promise Handle  a Lint  with specific requirement
   */

  async executeAnalysis() {
    return await executeLintAnalysis(this.cliArguments);
  }
}
var _default = exports.default = EsLint;