"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");
var _child_process = require("child_process");
var _logger = require("../utils/logger");
var _path = _interopRequireDefault(require("path"));
(function () {
  const pathToInstall = _path.default.resolve(process.cwd(), '..', '..', '..');
  const pluginCommand = "npx ZDPrecommit setupPlugins";
  try {
    (0, _child_process.execSync)(pluginCommand, {
      cwd: pathToInstall,
      stdio: 'inherit'
    });
  } catch (err) {
    _logger.Logger.log(_logger.Logger.FAILURE_TYPE, `encountered issue while installing plugins`);
  }
})();